## dde-file-manager-extensions 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(filemanager-plugins)
set(CMAKE_CXX_STANDARD 17)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wl,--as-needed")

find_package(DtkCMake REQUIRED)

#安全加固
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -Werror=return-type")
if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z noexecstack -z relro")
    add_definitions(-D ARCH_MIPSEL)
endif()

#if no debug, can't out in code define key '__FUNCTION__' and so on
add_definitions(-DQT_MESSAGELOGCONTEXT)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif()

include(GNUInstallDirs)

# dbus xml dir
set(DFM_DBUS_XML_DIR ${CMAKE_SOURCE_DIR}/assets/dbus)

# defines plugins install dir
if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR})
endif()

# root plguins dir
if(NOT DEFINED DFM_PLUGIN_DIR)
    set(DFM_PLUGIN_DIR ${LIB_INSTALL_DIR}/dde-file-manager/plugins)
endif()

# build plugins dir
if(NOT DEFINED DFM_BUILD_PLUGIN_DIR)
    set(DFM_BUILD_PLUGIN_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/plugins)
endif()
add_definitions(-DPLUGIN_DIR="${DFM_BUILD_PLUGIN_DIR}")

# common-core plugins dir
if(NOT DEFINED DFM_PLUGIN_COMMON_CORE_DIR)
    set(DFM_PLUGIN_COMMON_CORE_DIR ${DFM_PLUGIN_DIR}/common-core)
endif()

# desktop-core plugins dir
if(NOT DEFINED DFM_PLUGIN_DESKTOP_CORE_DIR)
    set(DFM_PLUGIN_DESKTOP_CORE_DIR ${DFM_PLUGIN_DIR}/desktop-core)
endif()

# filemanager-core plugins dir
if(NOT DEFINED DFM_PLUGIN_FILEMANAGER_CORE_DIR)
    set(DFM_PLUGIN_FILEMANAGER_CORE_DIR ${DFM_PLUGIN_DIR}/filemanager-core)
endif()

# common-edge plugins dir
if(NOT DEFINED DFM_PLUGIN_COMMON_EDGE_DIR)
    set(DFM_PLUGIN_COMMON_EDGE_DIR ${DFM_PLUGIN_DIR}/common-edge)
endif()

# daemon-edge plugins dir
if(NOT DEFINED DFM_PLUGIN_DAEMON_EDGE_DIR)
    set(DFM_PLUGIN_DAEMON_EDGE_DIR ${DFM_PLUGIN_DIR}/daemon-edge)
endif()

# server-edge plugins dir
if(NOT DEFINED DFM_PLUGIN_SERVER_EDGE_DIR)
    set(DFM_PLUGIN_SERVER_EDGE_DIR ${DFM_PLUGIN_DIR}/server-edge)
endif()

# desktop-edge plugins dir
if(NOT DEFINED DFM_PLUGIN_DESKTOP_EDGE_DIR)
    set(DFM_PLUGIN_DESKTOP_EDGE_DIR ${DFM_PLUGIN_DIR}/desktop-edge)
endif()

# filemanager-edge plugins dir
if(NOT DEFINED DFM_PLUGIN_FILEMANAGER_EDGE_DIR)
    set(DFM_PLUGIN_FILEMANAGER_EDGE_DIR ${DFM_PLUGIN_DIR}/filemanager-edge)
endif()

# tools
if(NOT DEFINED DFM_TOOLS_DIR)
    set(DFM_TOOLS_DIR ${LIB_INSTALL_DIR}/dde-file-manager/tools)
endif()

# dde-file-thumbnail-tool
if(NOT DEFINED DFM_THUMBNAIL_TOOL)
    set(DFM_THUMBNAIL_TOOL ${LIB_INSTALL_DIR}/dde-file-manager/tools)
endif()

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING
      "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)
message("Build type:"${CMAKE_BUILD_TYPE})

#Indentify the version
if (${DEEPIN_OS_VERSION} MATCHES "^(23|25)$")
    add_definitions(-DCOMPILE_ON_V23)
    set(COMPLIE_ON_V23 TRUE)
    message("COMPILE ON v2X")
else()
    add_definitions(-DCOMPILE_ON_V20)
    set(COMPLIE_ON_V20 TRUE)
    message("COMPILE ON v20")
endif()

option(OPT_ENABLE_OLDENCRYPTPLUGIN OFF)

add_subdirectory(src)

=== src/CMakeLists.txt ===
add_subdirectory(dde-file-manager)
add_subdirectory(dde-file-manager-daemon)
add_subdirectory(dde-desktop)
# add_subdirectory(common)
add_subdirectory(demo)
add_subdirectory(service)

=== src/dde-desktop/CMakeLists.txt ===
option(OPT_ENABLE_VIDEOWALLPAPER OFF)

if (OPT_ENABLE_VIDEOWALLPAPER)
    add_subdirectory(ddplugin-videowallpaper)
endif()

=== src/dde-file-manager-daemon/CMakeLists.txt ===
if (OPT_ENABLE_OLDENCRYPTPLUGIN)
    add_subdirectory(daemonplugin-file-encrypt)
endif()

=== src/dde-file-manager/CMakeLists.txt ===
add_subdirectory(dfmplugin-disk-encrypt-entry)
add_subdirectory(dfmplugin-encrypt-manager)
add_subdirectory(dfmplugin-cooperation)

=== src/demo/CMakeLists.txt ===
add_subdirectory(dfmplugin-encrypt-manager-demo)

=== src/service/CMakeLists.txt ===
if (NOT OPT_ENABLE_OLDENCRYPTPLUGIN)
    add_subdirectory(diskencrypt)
endif()

=== src/dde-desktop/ddplugin-videowallpaper/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(ddplugin-videowallpaper)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

FILE(GLOB_RECURSE SRC_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

find_package(PkgConfig REQUIRED)
find_package(dfm-base REQUIRED)
find_package(dfm-framework REQUIRED)
find_package(Qt5 REQUIRED COMPONENTS Core Widgets Concurrent)
find_package(Dtk COMPONENTS Core REQUIRED)
pkg_search_module(libdmr REQUIRED libdmr)

if (libdmr_FOUND)
    add_definitions(-DUSE_LIBDMR)
    message("found libdmr...")
    set(Media_INCLUDE_DIRS
            ${libdmr_INCLUDE_DIRS}
        )
    set(Media_LIBRARIES
            ${libdmr_LIBRARIES}
        )
else()
    message(FATAL_ERROR "libdmr not found")
    find_package(Qt5 COMPONENTS Multimedia MultimediaWidgets REQUIRED)
    set(Media_INCLUDE_DIRS
        ${Qt5MultimediaWidgets_INCLUDE_DIRS}
        ${Qt5Multimedia_INCLUDE_DIRS}
        )
    set(Media_LIBRARIES
        ${Qt5MultimediaWidgets_LIBRARIES}
        ${Qt5Multimedia_LIBRARIES}
        )
endif()

# 查找匹配 ddplugin-videowallpaper*.ts 的文件列表
file(GLOB TS_FILES "${CMAKE_CURRENT_SOURCE_DIR}/translations/ddplugin-videowallpaper*.ts")

# 添加 lrelease 命令，传递 TS_FILES 列表
foreach(TS_FILE ${TS_FILES})
    execute_process(
       COMMAND lrelease ${TS_FILE}
       WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )
endforeach()

qt5_add_resources(QRC_RESOURCES ts.qrc)

add_library(${PROJECT_NAME}
    SHARED
    ${SRC_FILES}
    ${QRC_RESOURCES}
)

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../../)

target_include_directories(${PROJECT_NAME} PUBLIC
    ${DtkCore_INCLUDE_DIRS}
    ${dfm-framework_INCLUDE_DIRS}
    ${dfm-base_INCLUDE_DIRS}
    ${Media_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Core
    Qt5::Widgets
    Qt5::Concurrent
    ${DtkCore_LIBRARIES}
    ${dfm-framework_LIBRARIES}
    ${dfm-base_LIBRARIES}
    ${Media_LIBRARIES}
)

#install library file
install(TARGETS
    ${PROJECT_NAME}
    LIBRARY
    DESTINATION
    ${DFM_PLUGIN_DESKTOP_EDGE_DIR}
)

dconfig_meta_files(APPID "org.deepin.dde.file-manager"
    BASE "${CMAKE_SOURCE_DIR}/assets/configs"
    FILES "${CMAKE_SOURCE_DIR}/assets/configs/org.deepin.dde.file-manager.desktop.videowallpaper.json"
)

# copy install file for packgage
SET(DEBIAN_PATH ${CMAKE_SOURCE_DIR}/debian)
FILE(COPY debian/dde-desktop-videowallpaper-plugin.install DESTINATION ${DEBIAN_PATH})
message("copy video wallpaper install file to ${DEBIAN_PATH}")

=== src/dde-file-manager-daemon/daemonplugin-file-encrypt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(daemonplugin-file-encrypt LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt5 REQUIRED COMPONENTS Core Concurrent DBus)
find_package(dfm-framework REQUIRED)
find_package(dfm-mount REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(CryptSetup REQUIRED libcryptsetup)

# generate dbus xml and adaptor
execute_process(COMMAND qdbuscpp2xml
        -M -S diskencryptdbus.h
        -o diskencryptdbus.xml
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/dbus
)
execute_process(COMMAND qdbusxml2cpp
        -i diskencryptdbus.h
        -c DiskEncryptDBusAdaptor
        -l daemonplugin_file_encrypt::DiskEncryptDBus
        -a diskencryptdbus_adaptor
        diskencryptdbus.xml
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/dbus
)

file(GLOB_RECURSE SRC
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
)

add_library(${PROJECT_NAME} SHARED
  ${SRC}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt5::Core
    Qt5::Concurrent
    Qt5::DBus
    ${CryptSetup_LIBRARIES}
    ${dfm-framework_LIBRARIES}
    ${dfm-mount_LIBRARIES}
)

target_include_directories(${PROJECT_NAME}
    PUBLIC
    ${PROJECT_SOURCE_DIR}
    ${dfm-framework_INCLUDE_DIRS}
    ${CryptSetup_INCLUDE_DIRS}
    ${dfm-mount_INCLUDE_DIRS}
)

target_compile_definitions(${PROJECT_NAME} PRIVATE DFMPLUGIN_DISK_ENCRYPT_LIBRARY)
set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../../)

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${DFM_PLUGIN_DAEMON_EDGE_DIR})
message(">>>> install ${PROJECT_NAME} into ${DFM_PLUGIN_DAEMON_EDGE_DIR}")

set(PolicyDir "${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions")
install(FILES ${CMAKE_SOURCE_DIR}/assets/polkit/policy/com.deepin.filemanager.daemon.diskencrypt.policy
    DESTINATION ${PolicyDir})
install(FILES ${CMAKE_SOURCE_DIR}/assets/polkit/rules/99-dde-file-manager-encrypt.pkla
    DESTINATION /etc/polkit-1/localauthority/10-vendor.d)

=== src/dde-file-manager/dfmplugin-cooperation/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(dfmplugin-cooperation)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

FILE(GLOB PLUGIN_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/configs/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/configs/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/reportlog/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/reportlog/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
    )

find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Gui)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
find_package(dfm-base REQUIRED)
find_package(dfm-framework REQUIRED)
find_package(Dtk COMPONENTS Widget REQUIRED)

add_library(${PROJECT_NAME}
    SHARED
    ${PLUGIN_FILES}
)

target_include_directories(${PROJECT_NAME}
    PUBLIC
    ${CMAKE_SOURCE_DIR}/src/
)

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../../)

# 公共依赖库，添加到这里
target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Widgets
    ${DtkWidget_LIBRARIES}
    ${dfm-base_LIBRARIES}
    ${dfm-framework_LIBRARIES}
)

#install library file
install(TARGETS
    ${PROJECT_NAME}
    LIBRARY
    DESTINATION
    ${DFM_PLUGIN_COMMON_EDGE_DIR}
)

execute_process(
    COMMAND lupdate
        ./
        -ts
        -no-obsolete
        ${CMAKE_SOURCE_DIR}/translations/cooperation-transfer.ts
    COMMAND lupdate
        ./
        -ts
        -no-obsolete
        ${CMAKE_SOURCE_DIR}/translations/cooperation-transfer_zh_CN.ts

    WORKING_DIRECTORY
        ${CMAKE_CURRENT_SOURCE_DIR}
)

# 查找匹配 cooperation-transfer*.ts 的文件列表
file(GLOB TS_FILES ${CMAKE_SOURCE_DIR}/translations/cooperation-transfer*.ts)

# 添加 lrelease 命令，传递 TS_FILES 列表
foreach(TS_FILE ${TS_FILES})
    execute_process(
       COMMAND lrelease ${TS_FILE}
       WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )
endforeach()

install(DIRECTORY ${CMAKE_SOURCE_DIR}/translations
    DESTINATION share/dde-file-manager
    FILES_MATCHING PATTERN "*.qm")

=== src/dde-file-manager/dfmplugin-disk-encrypt-entry/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(dfmplugin_disk_encrypt LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt5 REQUIRED COMPONENTS Core Widgets Concurrent)

find_package(Dtk COMPONENTS Widget Core REQUIRED)
find_package(dfm-framework REQUIRED)
find_package(dfm-base REQUIRED)
find_package(dfm-mount REQUIRED)
find_package(dfm-io REQUIRED)

file(GLOB_RECURSE SRC
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_SOURCE_DIR}/../../dde-file-manager-daemon/daemonplugin-file-encrypt/globaltypesdefine.h"
)

add_library(${PROJECT_NAME} SHARED
  ${SRC}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt5::Core
    Qt5::Widgets
    Qt5::Concurrent
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${dfm-framework_LIBRARIES}
    ${dfm-base_LIBRARIES}
    ${dfm-mount_LIBRARIES}
    ${dfm-io_LIBRARIES}
)

target_include_directories(${PROJECT_NAME}
    PUBLIC
    ${PROJECT_SOURCE_DIR}
    ${DtkWidget_INCLUDE_DIRS}
    ${DtkCore_INCLUDE_DIRS}
    ${dfm-framework_INCLUDE_DIRS}
    ${dfm-base_INCLUDE_DIRS}
    ${dfm-io_INCLUDE_DIRS}
    ${dfm-mount_INCLUDE_DIRS}
)

target_compile_definitions(${PROJECT_NAME} PRIVATE DFMPLUGIN_DISK_ENCRYPT_LIBRARY)
set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../../)

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${DFM_PLUGIN_FILEMANAGER_EDGE_DIR})
message(">>>> install ${PROJECT_NAME} into ${DFM_PLUGIN_FILEMANAGER_EDGE_DIR}")

dconfig_meta_files(APPID "org.deepin.dde.file-manager"
    BASE "${CMAKE_SOURCE_DIR}/assets/configs"
    FILES "${CMAKE_SOURCE_DIR}/assets/configs/org.deepin.dde.file-manager.diskencrypt.json"
)

execute_process(
    COMMAND lupdate
        ./
        -ts
        -no-obsolete
        ${CMAKE_SOURCE_DIR}/translations/disk-encrypt.ts
    COMMAND lupdate
        ./
        -ts
        -no-obsolete
        ${CMAKE_SOURCE_DIR}/translations/disk-encrypt_zh_CN.ts

    WORKING_DIRECTORY
        ${CMAKE_CURRENT_SOURCE_DIR}
)

# 查找匹配 disk-encrypt*.ts 的文件列表
file(GLOB TS_FILES ${CMAKE_SOURCE_DIR}/translations/disk-encrypt*.ts)

# 添加 lrelease 命令，传递 TS_FILES 列表
foreach(TS_FILE ${TS_FILES})
    execute_process(
       COMMAND lrelease ${TS_FILE}
       WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )
endforeach()


install(DIRECTORY ${CMAKE_SOURCE_DIR}/translations
    DESTINATION share/dde-file-manager
    FILES_MATCHING PATTERN "*.qm")

=== src/dde-file-manager/dfmplugin-encrypt-manager/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(dfmplugin_encrypt_manager)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5 COMPONENTS Core REQUIRED)

file(GLOB_RECURSE SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/*.json)

add_library(${PROJECT_NAME} SHARED
    ${SRC})

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${DFM_BUILD_PLUGIN_DIR})

target_link_libraries(${PROJECT_NAME} PUBLIC
    Qt5::Core)

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${DFM_PLUGIN_FILEMANAGER_EDGE_DIR})

=== debian/changelog ===
dde-file-manager-extensions (1.5.0-1) unstable; urgency=medium

  * update version to 1.5.0

 -- liuyangming <liuyangming@uniontech.com>  Fri, 06 Sep 2024 18:55:09 +0800

dde-file-manager-extensions (1.1.19) unstable; urgency=medium

  * update change log to 1.1.19
  * 

 -- liuyangming <liuyangming@uniontech.com>  Thu, 05 Sep 2024 22:31:06 +0800

dde-file-manager-extensions (1.1.18) unstable; urgency=medium

  * update change log to 1.1.18

 -- gongheng <gongheng@uniontech.com>  Tue, 30 Jul 2024 15:48:03 +0800

dde-file-manager-extensions (1.1.17) unstable; urgency=medium

  * update change log to 1.1.17

 -- gongheng <gongheng@uniontech.com>  Tue, 30 Jul 2024 15:38:34 +0800

dde-file-manager-extensions (1.1.16) unstable; urgency=medium

  * install video wallpaper for all edtion.
  * 

 -- zhangyu <zhangyub@uniontech.com>  Wed, 29 May 2024 10:39:23 +0800

dde-file-manager-extensions (1.1.15) unstable; urgency=medium

  * disable encrypt feature by default.
  * 

 -- xushitong <xushitong@uniontech.com>  Mon, 15 Apr 2024 16:43:48 +0800

dde-file-manager-extensions (1.1.14) unstable; urgency=medium

  * fix some issue on cooperation.

 -- liujinchang <liujinchang@uniontech.com>  Apr, 10 Wed 17:36:22 2024 +0800

dde-file-manager-extensions (1.1.13) unstable; urgency=medium

  * fix fatal issue on decrypt.
  * 
  * 

 -- xushitong <xushitong@uniontech.com>  Mon, 08 Apr 2024 14:34:09 +0800

dde-file-manager-extensions (1.1.12) unstable; urgency=medium

  * decrypt by PARTUUID
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 27 Mar 2024 17:09:34 +0800

dde-file-manager-extensions (1.1.11) unstable; urgency=medium

  * ux optimize.
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 13 Mar 2024 15:44:35 +0800

dde-file-manager-extensions (1.1.10) unstable; urgency=medium

  * check partition status before decrypt
  * 

 -- xushitong <xushitong@uniontech.com>  Fri, 01 Mar 2024 17:52:32 +0800

dde-file-manager-extensions (1.1.9) unstable; urgency=medium

  * support re-encrypt after interrupted.

 -- xushitong <xushitong@uniontech.com>  Fri, 23 Feb 2024 14:38:18 +0800

dde-file-manager-extensions (1.1.8) unstable; urgency=medium

  * encrypt fstab device without presetted key

 -- xushitong <xushitong@uniontech.com>  Sun, 04 Feb 2024 16:01:23 +0800

dde-file-manager-extensions (1.1.7) unstable; urgency=medium

  * disable encrypt root(/) and recovery(/recovery) partition.

 -- xushitong <xushitong@uniontech.com>  Thu, 18 Jan 2024 16:40:13 +0800

dde-file-manager-extensions (1.1.6) unstable; urgency=medium

  * fix some issues

 -- xushitong <xushitong@uniontech.com>  Thu, 21 Dec 2023 14:18:22 +0800

dde-file-manager-extensions (1.1.5) unstable; urgency=medium

  * save tpm info in header token 

 -- xushitong <xushitong@uniontech.com>  Sun, 10 Dec 2023 17:05:44 +0800

dde-file-manager-extensions (1.1.4) unstable; urgency=medium

  * fstab device encryption support 

 -- xushitong <xushitong@uniontech.com>  Wed, 29 Nov 2023 10:09:00 +0800

dde-file-manager-extensions (1.1.3) unstable; urgency=medium

  * fix some issues.
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 22 Nov 2023 14:55:28 +0800

dde-file-manager-extensions (1.1.2) unstable; urgency=medium

  * fix issues and write fstab device encrypt task.
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 15 Nov 2023 21:25:33 +0800

dde-file-manager-extensions (1.1.1) unstable; urgency=medium

  * fix plenty of issues
  * 

 -- xushitong <xushitong@unointech.com>  Tue, 14 Nov 2023 21:14:28 +0800

dde-file-manager-extensions (1.1.0) unstable; urgency=medium

  * Update baesline version of 1070
  * 

 -- xushitong <xushitong@uniontech.com>  Thu, 09 Nov 2023 16:09:19 +0800

dde-file-manager-extensions (1.0.0) unstable; urgency=medium

  * Update baseline of feature disk encryption.
  *
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 08 Nov 2023 16:19:22 +0800

=== debian/control ===
Source: dde-file-manager-extensions
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 cmake,
 pkg-config,
 debhelper (>= 11),
 qtbase5-dev,
 qttools5-dev,
 libdtkwidget-dev,
 libdtkcore-dev,
 libdtkcore5-bin,
 libdfm-mount-dev,
 libdfm-io-dev,
 dde-file-manager-dev,
 libcryptsetup-dev (>= 2:2.3.7),
 libdeepin-service-framework-dev
Standards-Version: 4.1.3
Section: libs
Homepage: http://www.deepin.org

Package: dfmplugin-disk-encrypt
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 tpm2-abrmd,
 libtss2-tcti-pcap0,
 libtss2-tcti-tabrmd0
Description: Device encrypt plugin for dde-file-manager
 A plugin for dde-file-manager to encrypt disks.


Package: dfmplugin-cooperation
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dde-cooperation-transfer
Description: Deepin file manager deliver file with cooperation
 A plugin for dde-file-manager to delivery file via cooperation.
 
Package: dde-desktop-videowallpaper-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Video wallpaper plugin for DDE Desktop.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export QT_SELECT=5


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
